<?php
defined('_JEXEC') or die;

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Factory;

class ZonenationspayControllerRegionrent extends FormController
{
    public function pay()
    {
        $app = Factory::getApplication();
        $rentId = $app->input->getInt('id');
        $model = $this->getModel('regionrent');

        if ($model->processRentPayment($rentId)) {
            $app->enqueueMessage(Text::_('COM_ZONENATIONSPAY_RENT_PAYMENT_SUCCESS'), 'success');
        } else {
            $app->enqueueMessage(Text::_('COM_ZONENATIONSPAY_RENT_PAYMENT_FAILURE'), 'error');
        }

        $this->setRedirect(JRoute::_('index.php?option=com_zonenationspay&view=regionrent', false));
    }
}
