<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');
?>

<div class="zonenationspay-default-needrelation<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>

    <form action="<?php echo Route::_('index.php?option=com_zonenationspay&view=default'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
        <h2><?php echo Text::_('COM_ZONENATIONSPAY_BUY_IWC'); ?></h2>
        
        <ul class="zonenationspay-instructions">
            <li><?php echo $this->createlink; ?></li>
            <li><?php echo Text::_('COM_ZONENATIONSPAY_ERROR_NEEDRELATION_Q2'); ?></li>
        </ul>

        <input type="hidden" name="task" value="" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>

