<?php
defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Factory;

class ZonenationspayViewRegionrent extends HtmlView
{
    protected $regionRents;
    protected $upcomingRents;
    protected $overdueRents;

    public function display($tpl = null)
    {
        $user = Factory::getUser();
        $model = $this->getModel();

        $this->regionRents = $model->getRegionRents($user->id);
        $this->upcomingRents = $model->getUpcomingRentPayments($user->id);
        $this->overdueRents = $model->getOverdueRentPayments($user->id);

        parent::display($tpl);
    }
}
